View Issue Details

IDProjectCategoryView StatusLast Update
0004552TechDrawBugpublic2021-02-14 18:42
Reporteruwestoehr Assigned Towmayer  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionreopened 
Target Version0.19Fixed in Version0.19 
Summary0004552: Changes made via dimension dialog cannot be undone
DescriptionThe TechDraw dimension dialog supports no undo/redo at all.

reported here in the forum ad bug D: https://forum.freecadweb.org/viewtopic.php?f=35&t=55008
TagsNo tags attached.
FreeCAD InformationOS: Windows 10 Version 2009
Word size of OS: 64-bit
Word size of FreeCAD: 64-bit
Version: 0.19.23906 (Git)
Build type: Release
Branch: master
Hash: ccbc13ee8209c5c5bf3de7b501daa82f6e8f1a46
Python version: 3.8.6+
Qt version: 5.15.1
Coin version: 4.0.1
OCC version: 7.5.0
Locale: German/Germany (de_DE)

Activities

uwestoehr

2021-02-13 03:27

developer   ~0015336

not yet fixed, see: https://forum.freecadweb.org/viewtopic.php?p=477490#p477531

Related Changesets

FreeCAD: master bb0d75b6

2021-02-12 14:36:21

wmayer

Details Diff
TechDraw: [skip] fixes for balloon feature:
* reimplement ViewProviderBalloon::setupContextMenu() to show item to start editing it
+ fix TaskBalloon::accept() and TaskBalloon::reject()
Affected Issues
0004552
mod - src/Mod/TechDraw/Gui/TaskBalloon.cpp Diff File
mod - src/Mod/TechDraw/Gui/TaskBalloon.h Diff File
mod - src/Mod/TechDraw/Gui/ViewProviderBalloon.cpp Diff File
mod - src/Mod/TechDraw/Gui/ViewProviderBalloon.h Diff File

FreeCAD: master 3288c02e

2021-02-12 14:55:26

wmayer

Details Diff
TechDraw: fixes for dimension feature:

* reimplement ViewProviderDimension::setupContextMenu() to show menu item to start editing it
* fix TaskDimension::accept() and TaskDimension::reject()
Affected Issues
0004552
mod - src/Mod/TechDraw/Gui/TaskDimension.cpp Diff File
mod - src/Mod/TechDraw/Gui/TaskDimension.h Diff File
mod - src/Mod/TechDraw/Gui/ViewProviderDimension.cpp Diff File
mod - src/Mod/TechDraw/Gui/ViewProviderDimension.h Diff File

FreeCAD: master a82a103c

2021-02-14 18:03:19

wmayer

Details Diff
TD: fix undo/redo for dimension objects
* do not emit dragFinished() signal inside mousePressEvent as nothing has been done. This avoids to create an empty transaction and doesn't touch the document
* inside mouseReleaseEvent() check if the mouse has been moved and only if yes emit the signal
* improve error handling in mouseDoubleClickEvent
* in mouseDoubleClickEvent start to edit the view provider
Affected Issues
0004552
mod - src/Mod/TechDraw/Gui/QGIViewDimension.cpp Diff File
mod - src/Mod/TechDraw/Gui/ViewProviderDimension.h Diff File

Issue History

Date Modified Username Field Change
2021-02-04 02:26 uwestoehr New Issue
2021-02-06 06:38 abdullah Target Version => 0.20
2021-02-08 14:28 uwestoehr Target Version 0.20 => 0.19
2021-02-12 15:46 wmayer Changeset attached => FreeCAD master 3288c02e
2021-02-12 15:46 wmayer Changeset attached => FreeCAD master bb0d75b6
2021-02-12 15:47 wmayer Assigned To => wmayer
2021-02-12 15:47 wmayer Status new => closed
2021-02-12 15:47 wmayer Resolution open => fixed
2021-02-12 15:47 wmayer Fixed in Version => 0.19
2021-02-13 03:26 uwestoehr Status closed => feedback
2021-02-13 03:26 uwestoehr Resolution fixed => reopened
2021-02-13 03:27 uwestoehr Note Added: 0015336
2021-02-13 03:27 uwestoehr Status feedback => assigned
2021-02-14 18:42 wmayer Changeset attached => FreeCAD master a82a103c
2021-02-14 18:42 wmayer Status assigned => closed